
From: Jesse Barnes <jbarnes@engr.sgi.com>

Small patch to add __iomem annotations to mmtimer.c.

Signed-off-by: Jesse Barnes <jbarnes@sgi.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/char/mmtimer.c |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

diff -puN drivers/char/mmtimer.c~mmtimer-sparse-fixes drivers/char/mmtimer.c
--- 25/drivers/char/mmtimer.c~mmtimer-sparse-fixes	Wed Oct 20 16:36:41 2004
+++ 25-akpm/drivers/char/mmtimer.c	Wed Oct 20 16:36:41 2004
@@ -103,13 +103,13 @@ static int mmtimer_ioctl(struct inode *i
 		break;
 
 	case MMTIMER_GETRES: /* resolution of the clock in 10^-15 s */
-		if(copy_to_user((unsigned long *)arg, &mmtimer_femtoperiod,
-				sizeof(unsigned long)))
+		if(copy_to_user((unsigned long __user *)arg,
+				&mmtimer_femtoperiod, sizeof(unsigned long)))
 			return -EFAULT;
 		break;
 
 	case MMTIMER_GETFREQ: /* frequency in Hz */
-		if(copy_to_user((unsigned long *)arg,
+		if(copy_to_user((unsigned long __user *)arg,
 				&sn_rtc_cycles_per_second,
 				sizeof(unsigned long)))
 			return -EFAULT;
@@ -125,8 +125,8 @@ static int mmtimer_ioctl(struct inode *i
 		break;
 
 	case MMTIMER_GETCOUNTER:
-		if(copy_to_user((unsigned long *)arg, RTC_COUNTER_ADDR,
-				sizeof(unsigned long)))
+		if(copy_to_user((unsigned long __user *)arg,
+				RTC_COUNTER_ADDR, sizeof(unsigned long)))
 			return -EFAULT;
 		break;
 	default:
_
